<template>
  <div>
    <v-fab-transition>
      <v-btn
        color="primary"
        dark
        fixed
        bottom
        right
        fab
        @click="dialog = true"
      >
        <v-icon x-large>mdi-plus</v-icon>
      </v-btn>
    </v-fab-transition>
    <v-dialog
      v-model="dialog"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
      scrollable>
      <v-sheet color="white">
        <v-toolbar
          flat
          color="white"
          class="pt-2 mb-2"
        >
          <v-toolbar-items>
            <v-btn
              icon
              color="primary"
              @click="dialog = false"
            >
              <v-icon v-text="backIcon"></v-icon>
            </v-btn>
          </v-toolbar-items>
          <v-toolbar-title class="mx-auto font-weight-black">{{ $t('newTask') }}</v-toolbar-title>
        </v-toolbar>
        <!--Month-->
        <v-card-title color="black" class="font-weight-bold text-center py-1 primary--text">{{
            monthTitle
          }}
        </v-card-title>
        <!--/Month-->
        <!--Date picker-->
        <ta-date-picker></ta-date-picker>
        <!--/Date picker-->
        <!--Task Form-->
        <ta-new-form @close-modal="dialog = false"></ta-new-form>
        <!--/Task Form-->
      </v-sheet>
    </v-dialog>
  </div>
</template>

<script>
import TaDatePicker from "~/components/TaDatePicker";
import TaNewForm from "~/components/tasks/TaNewForm";
import dateMixin from "~/mixins/dateMixin";
import modalMixin from "~/mixins/modalMixin";

export default {
  name: "TaNew",
  components: {TaNewForm, TaDatePicker},
  mixins: [dateMixin, modalMixin],
  data() {
    return {
      dialog: false
    }
  },
}
</script>
